Bug 186823 - ACPI problem resuming from suspend on HP Compaq nx8220
ACPI problem resuming from suspend on HP Compaq nx8220
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 17:21 EST by E. Lefty Kreouzis
Modified: 2015-01-04 17:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 15:57:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description E. Lefty Kreouzis 2006-03-26 17:21:00 EST
Description of problem:

Notebook enters suspend to ram but can't resume

kernel: 2.6.16-1.2069_FC5 


How reproducible: always




Steps to Reproduce:
1. as root # echo 'mem' >/sys/power/state
2. The laptop suspends to ram and switches off with the power led blinking
3. press the power switch to resume
  
Actual results:
The laptop power led and (blue) wifi led switch on, the hdd activity led lights
up for a while, the screen remains dark, there is no response to the keyboard.

Expected results:

The laptop resumes to the point where it ssuspended.



Additional info:
Comment 1 Malcolm Caldwell 2006-06-26 22:17:54 EDT
I can confirm the same behaviour on my nc8230
Comment 2 Dave Jones 2006-10-16 13:30:51 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 E. Lefty Kreouzis 2006-10-16 14:45:20 EDT
I installed the new kernel
$ uname -a
Linux goedel.home.rtfm.gr 2.6.18-1.2200.fc5 #1 Sat Oct 14 16:59:26 EDT 2006 i686
i686 i386 GNU/Linux

but I have the same symptoms with the new kernel
Comment 4 E. Lefty Kreouzis 2006-10-30 14:35:58 EST
After further testing, when suspending with the proprietary ATI driver kernel
module, on resume the keyboard responds (Caps lock works - Alt-SysRq- Reboot occurs)
However no video output occurs
Comment 5 Dave Jones 2006-11-24 15:57:26 EST
Unfortunately, there's rarely anything we can do with proprietary drivers.
You may be able to coax it back to life with some magical incantation of
vbetool, but it's completely black magic.

Good to know the keyboard is back though. I'll close this out, as there's
nothing further we can do.
Comment 6 E. Lefty Kreouzis 2006-11-24 16:04:57 EST
Without the proprietary drivers I don't even get this far.....
No keyboard no screen

Note You need to log in before you can comment on or make changes to this bug.